Name:          apt-mirror-api
Version:       0.1
Release:       %mkrel 1
Summary:       APT Mirror API for J2SE 5.0
Group:         Development/Java
URL:           https://aptmirrorapi.dev.java.net/
Source:        https://aptmirrorapi.dev.java.net/files/documents/4419/27229/apt-mirror-api.zip
License:       BSD
BuildRequires: java-devel
Requires:      jpackage-utils
BuildArch:     noarch

%description
APT Mirror API for J2SE 5.0

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
APT Mirror API for J2SE 5.0.

This package contains javadoc for %{name}

%prep

%setup -q -c -n %{name}-%{version}

%build

mkdir -p classes

javac \
  -d classes \
  `find apt -name '*.java'`

cp -pr apt/com/sun/mirror/overview.html classes/com/sun/mirror/
cp -pr apt/com/sun/mirror/apt/package.html classes/com/sun/mirror/apt/
cp -pr apt/com/sun/mirror/apt/*.java classes/com/sun/mirror/apt/
cp -pr apt/com/sun/mirror/declaration/package.html classes/com/sun/mirror/declaration/
cp -pr apt/com/sun/mirror/declaration/*.java classes/com/sun/mirror/declaration/
cp -pr apt/com/sun/mirror/type/package.html classes/com/sun/mirror/type/
cp -pr apt/com/sun/mirror/type/*.java classes/com/sun/mirror/type/
cp -pr apt/com/sun/mirror/util/package.html classes/com/sun/mirror/util/
cp -pr apt/com/sun/mirror/util/*.java classes/com/sun/mirror/util/
cp -pr apt/*.txt classes/

jar cf apt-mirror-api-%{version}.jar -C classes .

tdate=$(echo `date +"%Y"`)

javadoc -d javadoc \
  -classpath apt-mirror-api-%{version}.jar \
  -encoding iso-8859-1 \
  -overview apt/com/sun/mirror/overview.html \
  -windowtitle "APT Mirror API for J2SE 5.0 documentation" \
  -doctitle "APT Mirror API for J2SE 5.0 documentation" \
  -header "APT Mirror API for J2SE 5.0" \
  -bottom "Copyright &copy; 2004, $tdate, Oracle and/or its affiliates. All rights reserved" \
  `find apt -name \*.java`

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/

install -pm 644 apt-mirror-api-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/apt-mirror-api-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/apt-mirror-api-%{version}
ln -s apt-mirror-api-%{version} %{buildroot}%{_javadocdir}/apt-mirror-api

%files
%{_javadir}/apt-mirror-api-%{version}.jar
%{_javadir}/apt-mirror-api.jar
%doc apt/*.txt

%files javadoc
%{_javadocdir}/apt-mirror-api-%{version}
%{_javadocdir}/apt-mirror-api



%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 0.1-1.mga2
+ Revision: 131290
- Clean spec file

  + gil <gil>
    - imported package apt-mirror-api


* Sat Jun 11 2011 gil <gil> 0.7-0.%%mkrel
- initial rpm